# cancelAgentTurn

Stop the reply to one message (`conversationId`, `turnId`); changes it already made stay made.

- Call: `POST https://server.goliathdata.com/api/v1/call` with `{ "operationId": "cancelAgentTurn", "variables": {...} }`
- Scope: `WRITE`
- Type: mutation
- Idempotency: honors `Idempotency-Key` (24 h)
- Rate-limited: no

## Variables

- `conversationId`: `ID!` (required)
- `turnId`: `ID!` (required)

## Response (data, an example)

```json
{
  "externalAgentChatMutation": {
    "cancelAgentTurn": {
      "conversationId": "<ID>",
      "turnId": "<ID>",
      "runId": "<ID>",
      "status": "RUNNING",
      "reply": "…",
      "questions": [
        {
          "id": "<ID>",
          "prompt": "…",
          "kind": "…",
          "options": [
            "…"
          ],
          "multi": true,
          "allowOther": true
        }
      ],
      "inAppCard": {
        "title": "…",
        "url": "…"
      },
      "error": "…"
    }
  }
}
```

## Example

```bash
curl https://server.goliathdata.com/api/v1/call \
  -H "Authorization: Bearer $GOLIATH_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
    "operationId": "cancelAgentTurn",
    "variables": {
      "conversationId": "<conversationId>",
      "turnId": "<turnId>"
    }
  }'
```
